# Task_T.h File Reference

`#include "ace/Message_Queue.h"`
`#include "ace/Synch_Traits.h"`
`#include "ace/Task.h"`
`#include "ace/Task_T.inl"`
`#include "ace/Task_T.cpp"`

Include dependency graph for Task_T.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_Task<>
| Primary interface for application message processing, as well as input and output message queueing. More...

## Detailed Description

Id
  Task_T.h,v 4.42 2005/10/28 23:55:10 ossama Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>